curl -X PUT 'https://api.pipedream.com/v1/workflows/p_abc123' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{"active": false, "org_id": "o_BYDI5y"}'
Update a workflow
PUT
/
workflows
/
{id}
curl -X PUT 'https://api.pipedream.com/v1/workflows/p_abc123' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{"active": false, "org_id": "o_BYDI5y"}'
This endpoint is only available when using user API keys, not yet for workspace OAuth tokens.
Endpoint
PUT /workflows/{id}
Path Parameters
string
required
The ID of the workflow to update.To find your workflow ID, navigate to your workflow.If the URL is https://pipedream.com/@michael-testing/api-p_13CDnxK/inspect, your
workflow_id begins with p_ and would be p_13CDnxK.Request Body
boolean
required
The activation status of a workflow. Set to
true to activate the workflow, or false to deactivate it.string
required
curl -X PUT 'https://api.pipedream.com/v1/workflows/p_abc123' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{"active": false, "org_id": "o_BYDI5y"}'
Was this page helpful?